`<valList>` | (value list) contains a list of value and description pairs for an attribute.
Attributes: |
`type` | specifies the extensibility of the list of attribute values specified.
| Datatype: (closed | semi | open)
| Legal values: |
`closed` | only the values specified are permitted.
`semi` | all the values specified should be supported, but other values are legal and software should have appropriate fallback processing for them.
`open` | the values specified are sample values only.
| Default: open

Example

     <valList>
      <val>req</val><desc>required</desc>
      <val>mwa</val><desc>mandatory when applicable</desc>
      <val>rec</val><desc>recommended</desc>
      <val>rwa</val><desc>recommended when applicable</desc>
      <val>opt</val><desc>optional</desc>
     </valList>

Tagset auxiliary tag set for tag set declarations
Class
Filename `teitsd2`
Content:
Parents attDef
Children desc val
Declaration

    <!ELEMENT valList       - -  ((val, desc)*)                     >
    <!ATTLIST valList            %a.global
              type               (closed | semi | open)
                                                     open           >

See 27.1.1

Back to index